> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get UserMeteringSummary by ID

GET https://{tenant_name}.benchling.com/api/v3/user-metering-summary/{user_metering_summary_id}

Get a single UserMeteringSummary by ID.

Reference: https://docs.benchling.com/docs/api/benchling-api/user-metering-summary/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `user_metering_summary_id` (string, required) — ID of the UserMeteringSummary.

### Query parameters

- `returning` (list of string, optional) — Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
- `omit` (list of string, optional) — Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

### Headers

- `EARLY-ACCESS` (string, optional) — Set to true to access beta operations via /api/v3.

## Response

### 200

OK

- `__typename` (string, optional)
- `effectiveLimit` (integer, optional, nullable) — The user's credit limit for the billing period, or null when per-user limits are not enforced
- `id` (string, optional) — Synthetic ID formed by replacing the user's `ent` prefix with `umesu`.
- `isTenantOutOfCredits` (boolean, optional) — Whether the tenant is out of credits.
- `periodStart` (date, optional) — The date (UTC) on which the current billing period started.
- `resetDate` (date, optional) — The date (UTC) on which the next billing period starts and usage resets.
- `usage` (double, optional) — AI credits consumed so far this billing period.

## Errors

### 400 Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 500 Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### GeneralErrorDetail

- string
- map from string to any

### TooManyRequestsErrorDetail

- string
- map from string to any

### InternalServerErrorDetail

- string
- map from string to any

## Examples

**Response**

```json
{
  "__typename": "string",
  "effectiveLimit": null,
  "id": "string",
  "isTenantOutOfCredits": true,
  "periodStart": "2023-01-15",
  "resetDate": "2023-01-15",
  "usage": 1.1
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/user-metering-summary/user_metering_summary_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/user-metering-summary/user_metering_summary_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```